> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/de/remote-desktop-manager-powershell/powershell-scripting/powershell-module/powershell-samples-creating-folder-structure-from-csv-file.md).

# PowerShell-Beispiele – Ordnerstruktur aus einer CSV-Datei erstellen

Führen Sie ein PowerShell-Beispielskript aus, um automatisch eine Ordnerstruktur mit Gruppenordnern in Remote Desktop Manager aus einer UTF-8-codierten CSV-Datei zu erstellen.

{% hint style="info" %}
Bitte beachten Sie, dass die CSV-Datei in UTF-8 codiert sein muss, um Sonderzeichen zu unterstützen.
{% endhint %}

Dieses Beispiel erstellt eine Gruppenordnerstruktur aus einer CSV-Datei.

### Beispiel

```powershell
$csv = Import-Csv "c:\YourFolder\GroupFolder.csv"

foreach ($csvEntry in $csv) {
        $groupName = $csvEntry.Name

    # Extract the group folder name
    if ($groupName.Contains("\")) {
         $groupName = $groupName.Substring($groupName.LastIndexOf("\"), $groupName.Length - $groupName.LastIndexOf("\"))
         $groupName = $groupName.TrimStart("\")
        }

    # Create the group folder if it is not null, empty or fill in with space characters
    if (![]::IsNullOrWhiteSpace($groupName)) {
        $session = New-RDMSession -Type "Group" -Name $groupName
        $session.Group = $csvEntry.Name
        Set-RDMSession $session
        Write-Host "Group Folder $groupName created" -f Yellow
        }
}

Update-RDMUI
```

### Hinweise

Die CSV-Datei darf nur eine Spalte mit dem Titel Name enthalten.

Für jeden Unterordner muss der vollständige Pfad angegeben werden.

Hier ist ein Beispiel für diese CSV-Datei:

```csv
Name
A
A\B
A\B\C
D
D\E
D\E\F
G
G\H
G\H\I
G\H\I\J
G\H\I\J\K
G\H\I\J\K\L
Test
Test\Sample
Test\Sample\Folder
Test\Sample\Folder\Sub folder
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/de/remote-desktop-manager-powershell/powershell-scripting/powershell-module/powershell-samples-creating-folder-structure-from-csv-file.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
